commit:     c55eaa217c0656d352094c619b3833cabe100280
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 20 18:50:56 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Oct 20 19:20:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c55eaa21

dev-python/kconfiglib: enable py3.10

Closes: https://bugs.gentoo.org/812674
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/kconfiglib/kconfiglib-14.1.0.ebuild | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

diff --git a/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild 
b/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild
index 19181a90f3b..ef454e60acf 100644
--- a/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild
+++ b/dev-python/kconfiglib/kconfiglib-14.1.0.ebuild
@@ -1,25 +1,22 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python3_{7..9} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_REQ_USE="ncurses"
 
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE="ncurses"
 inherit distutils-r1
 
 DESCRIPTION="A flexible Python Kconfig implementation"
 HOMEPAGE="https://github.com/ulfalizer/Kconfiglib 
https://pypi.org/project/kconfiglib/";
 SRC_URI="https://github.com/ulfalizer/Kconfiglib/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+S=${WORKDIR}/${P^}
 # pypi tarballs don't include tests
 #SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="ISC"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-S=${WORKDIR}/${P/k/K}
 
 python_prepare_all() {
        distutils-r1_python_prepare_all
@@ -28,9 +25,9 @@ python_prepare_all() {
        mkdir Kconfiglib || die
        ln -s ../tests Kconfiglib || die
        # don't run kernel Kconfig compat tests
-       sed -i 's/run_compatibility_tests()$/#\0/' testsuite.py || die
+       sed -e 's/run_compatibility_tests()$/#\0/' -i testsuite.py || die
 }
 
 python_test() {
-       "${PYTHON}" testsuite.py || die "tests failed with ${EPYTHON}"
+       "${EPYTHON}" testsuite.py || die "tests failed with ${EPYTHON}"
 }

Reply via email to